API
GET
/api/handles/{handle}
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

handle*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.tigby.eu/api/handles/string"
{  "handle": null,  "available": true,  "code": null,  "detail": null,  "email": null,  "profile_url": null,  "tunnel_host": null}
GET
/api/identities
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://api.tigby.eu/api/identities"
{  "identities": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "handle": "string",      "status": "string",      "email": "string",      "profile_url": "string",      "tunnel_host": "string",      "created_at": "2019-08-24T14:15:22Z",      "ready_at": null    }  ]}
POST
/api/identities
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.tigby.eu/api/identities" \  -H "Content-Type: application/json" \  -d '{    "handle": null  }'
{  "identity": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "handle": "string",    "status": "string",    "email": "string",    "profile_url": "string",    "tunnel_host": "string",    "created_at": "2019-08-24T14:15:22Z",    "ready_at": null  },  "saga": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "string",    "status": "string",    "steps": [      {        "name": "string",        "status": "string",        "attempts": 0,        "error": null,        "started_at": null,        "finished_at": null      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "finished_at": null,    "next_attempt_at": null  },  "tunnel": null,  "onboarding": null}
GET
/api/identities/{handle}
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

handle*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.tigby.eu/api/identities/string"
{  "identity": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "handle": "string",    "status": "string",    "email": "string",    "profile_url": "string",    "tunnel_host": "string",    "created_at": "2019-08-24T14:15:22Z",    "ready_at": null  },  "saga": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "string",    "status": "string",    "steps": [      {        "name": "string",        "status": "string",        "attempts": 0,        "error": null,        "started_at": null,        "finished_at": null      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "finished_at": null,    "next_attempt_at": null  },  "tunnel": null,  "onboarding": null}
DELETE
/api/identities/{handle}
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

handle*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://api.tigby.eu/api/identities/string"
{  "identity": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "handle": "string",    "status": "string",    "email": "string",    "profile_url": "string",    "tunnel_host": "string",    "created_at": "2019-08-24T14:15:22Z",    "ready_at": null  },  "saga": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "string",    "status": "string",    "steps": [      {        "name": "string",        "status": "string",        "attempts": 0,        "error": null,        "started_at": null,        "finished_at": null      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "finished_at": null,    "next_attempt_at": null  },  "tunnel": null,  "onboarding": null}
GET
/api/identities/{handle}/identity-key
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

handle*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.tigby.eu/api/identities/string/identity-key"
{  "identity_key": null,  "mailbox": null}
POST
/api/identities/{handle}/identity-key/ack
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

handle*string

Response Body

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.tigby.eu/api/identities/string/identity-key/ack"
Empty
POST
/api/identities/{handle}/retry
AuthorizationBearer <token>

An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .

In: header

Path Parameters

handle*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.tigby.eu/api/identities/string/retry"
{  "identity": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "handle": "string",    "status": "string",    "email": "string",    "profile_url": "string",    "tunnel_host": "string",    "created_at": "2019-08-24T14:15:22Z",    "ready_at": null  },  "saga": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "string",    "status": "string",    "steps": [      {        "name": "string",        "status": "string",        "attempts": 0,        "error": null,        "started_at": null,        "finished_at": null      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "finished_at": null,    "next_attempt_at": null  },  "tunnel": null,  "onboarding": null}